aboutsummaryrefslogtreecommitdiff
path: root/src
diff options
context:
space:
mode:
Diffstat (limited to 'src')
-rw-r--r--src/rust/devcontainer-feature.json2
-rwxr-xr-xsrc/rust/install.sh4
2 files changed, 3 insertions, 3 deletions
diff --git a/src/rust/devcontainer-feature.json b/src/rust/devcontainer-feature.json
index 016e464..8212b34 100644
--- a/src/rust/devcontainer-feature.json
+++ b/src/rust/devcontainer-feature.json
@@ -1,6 +1,6 @@
{
"id": "rust",
- "version": "1.0.2",
+ "version": "1.0.3",
"name": "Rust",
"description": "Installs Rust, common Rust utilities, and their required dependencies",
"options": {
diff --git a/src/rust/install.sh b/src/rust/install.sh
index 3970bb2..a84716c 100755
--- a/src/rust/install.sh
+++ b/src/rust/install.sh
@@ -179,8 +179,8 @@ else
apt-get -y install --no-install-recommends git
fi
- echo ${RUST_VERSION} | grep -q "nightly"
- is_nightly=$?
+ is_nightly=0
+ echo ${RUST_VERSION} | grep -q "nightly" || is_nightly=$?
if [ $is_nightly = 0 ]; then
check_nightly_version_formatting RUST_VERSION
else